drop user &1 cascade;
create user &1 identified by &2;
grant connect,resource to &1;
quitconnect &1/&2;
set define off;

create table Address (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	externalReferenceCode VARCHAR2(75 CHAR) null,
	addressId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	countryId number(30,0),
	regionId number(30,0),
	typeId number(30,0),
	city VARCHAR2(75 CHAR) null,
	description varchar2(4000 char) null,
	latitude number(30,20),
	longitude number(30,20),
	mailing number(1, 0),
	name VARCHAR2(255 CHAR) null,
	primary_ number(1, 0),
	street1 VARCHAR2(255 CHAR) null,
	street2 VARCHAR2(255 CHAR) null,
	street3 VARCHAR2(255 CHAR) null,
	validationDate timestamp null,
	validationStatus number(30,0),
	zip VARCHAR2(75 CHAR) null
);

create table AnnouncementsDelivery (
	mvccVersion number(30,0) default 0 not null,
	deliveryId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	type_ VARCHAR2(75 CHAR) null,
	email number(1, 0),
	sms number(1, 0),
	website number(1, 0)
);

create table AnnouncementsEntry (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	entryId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	title VARCHAR2(75 CHAR) null,
	content clob null,
	url varchar2(4000 char) null,
	type_ VARCHAR2(75 CHAR) null,
	displayDate timestamp null,
	expirationDate timestamp null,
	priority number(30,0),
	alert number(1, 0)
);

create table AnnouncementsFlag (
	mvccVersion number(30,0) default 0 not null,
	flagId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	createDate timestamp null,
	entryId number(30,0),
	value number(30,0)
);

create table AssetCategory (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	externalReferenceCode VARCHAR2(75 CHAR) null,
	categoryId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	parentCategoryId number(30,0),
	treePath varchar2(4000 char) null,
	name VARCHAR2(255 CHAR) null,
	title clob null,
	description clob null,
	vocabularyId number(30,0),
	lastPublishDate timestamp null,
	primary key (categoryId, ctCollectionId)
);

create table AssetEntries_AssetTags (
	companyId number(30,0) not null,
	entryId number(30,0) not null,
	tagId number(30,0) not null,
	ctCollectionId number(30,0) default 0 not null,
	ctChangeType number(1, 0),
	primary key (entryId, tagId, ctCollectionId)
);

create table AssetEntry (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	entryId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	classUuid VARCHAR2(75 CHAR) null,
	classTypeId number(30,0),
	listable number(1, 0),
	visible number(1, 0),
	startDate timestamp null,
	endDate timestamp null,
	publishDate timestamp null,
	expirationDate timestamp null,
	mimeType VARCHAR2(75 CHAR) null,
	title clob null,
	description clob null,
	summary clob null,
	url varchar2(4000 char) null,
	layoutUuid VARCHAR2(75 CHAR) null,
	height number(30,0),
	width number(30,0),
	priority number(30,20),
	primary key (entryId, ctCollectionId)
);

create table AssetLink (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	linkId number(30,0) not null,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	entryId1 number(30,0),
	entryId2 number(30,0),
	type_ number(30,0),
	weight number(30,0),
	primary key (linkId, ctCollectionId)
);

create table AssetTag (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	tagId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	name VARCHAR2(75 CHAR) null,
	assetCount number(30,0),
	lastPublishDate timestamp null,
	primary key (tagId, ctCollectionId)
);

create table AssetVocabulary (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	externalReferenceCode VARCHAR2(75 CHAR) null,
	vocabularyId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	name VARCHAR2(75 CHAR) null,
	title varchar2(4000 char) null,
	description varchar2(4000 char) null,
	settings_ varchar2(4000 char) null,
	visibilityType number(30,0),
	lastPublishDate timestamp null,
	primary key (vocabularyId, ctCollectionId)
);

create table BrowserTracker (
	mvccVersion number(30,0) default 0 not null,
	browserTrackerId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	browserKey number(30,0)
);

create table ClassName_ (
	mvccVersion number(30,0) default 0 not null,
	classNameId number(30,0) not null primary key,
	value VARCHAR2(200 CHAR) null
);

create table Company (
	mvccVersion number(30,0) default 0 not null,
	companyId number(30,0) not null primary key,
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	webId VARCHAR2(75 CHAR) null,
	mx VARCHAR2(200 CHAR) null,
	homeURL varchar2(4000 char) null,
	logoId number(30,0),
	system_ number(1, 0),
	maxUsers number(30,0),
	active_ number(1, 0),
	name VARCHAR2(75 CHAR) null,
	legalName VARCHAR2(75 CHAR) null,
	legalId VARCHAR2(75 CHAR) null,
	legalType VARCHAR2(75 CHAR) null,
	sicCode VARCHAR2(75 CHAR) null,
	tickerSymbol VARCHAR2(75 CHAR) null,
	industry VARCHAR2(75 CHAR) null,
	type_ VARCHAR2(75 CHAR) null,
	size_ VARCHAR2(75 CHAR) null
);

create table CompanyInfo (
	mvccVersion number(30,0) default 0 not null,
	companyInfoId number(30,0) not null primary key,
	companyId number(30,0),
	key_ clob null
);

create table Contact_ (
	mvccVersion number(30,0) default 0 not null,
	contactId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	parentContactId number(30,0),
	emailAddress VARCHAR2(254 CHAR) null,
	firstName VARCHAR2(75 CHAR) null,
	middleName VARCHAR2(75 CHAR) null,
	lastName VARCHAR2(75 CHAR) null,
	prefixId number(30,0),
	suffixId number(30,0),
	male number(1, 0),
	birthday timestamp null,
	smsSn VARCHAR2(75 CHAR) null,
	facebookSn VARCHAR2(75 CHAR) null,
	jabberSn VARCHAR2(75 CHAR) null,
	skypeSn VARCHAR2(75 CHAR) null,
	twitterSn VARCHAR2(75 CHAR) null,
	employeeStatusId VARCHAR2(75 CHAR) null,
	employeeNumber VARCHAR2(75 CHAR) null,
	jobTitle VARCHAR2(100 CHAR) null,
	jobClass VARCHAR2(75 CHAR) null,
	hoursOfOperation VARCHAR2(75 CHAR) null
);

create table Counter (
	name VARCHAR2(150 CHAR) not null primary key,
	currentId number(30,0)
);

create table Country (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	defaultLanguageId VARCHAR2(75 CHAR) null,
	countryId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	a2 VARCHAR2(75 CHAR) null,
	a3 VARCHAR2(75 CHAR) null,
	active_ number(1, 0),
	billingAllowed number(1, 0),
	groupFilterEnabled number(1, 0),
	idd_ VARCHAR2(75 CHAR) null,
	name VARCHAR2(75 CHAR) null,
	number_ VARCHAR2(75 CHAR) null,
	position number(30,20),
	shippingAllowed number(1, 0),
	subjectToVAT number(1, 0),
	zipRequired number(1, 0),
	lastPublishDate timestamp null
);

create table CountryLocalization (
	mvccVersion number(30,0) default 0 not null,
	countryLocalizationId number(30,0) not null primary key,
	companyId number(30,0),
	countryId number(30,0),
	languageId VARCHAR2(75 CHAR) null,
	title VARCHAR2(75 CHAR) null
);

create table DLFileEntry (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	externalReferenceCode VARCHAR2(75 CHAR) null,
	fileEntryId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	repositoryId number(30,0),
	folderId number(30,0),
	treePath varchar2(4000 char) null,
	name VARCHAR2(255 CHAR) null,
	fileName VARCHAR2(255 CHAR) null,
	extension VARCHAR2(75 CHAR) null,
	mimeType VARCHAR2(75 CHAR) null,
	title VARCHAR2(255 CHAR) null,
	description varchar2(4000 char) null,
	extraSettings clob null,
	fileEntryTypeId number(30,0),
	version VARCHAR2(75 CHAR) null,
	size_ number(30,0),
	smallImageId number(30,0),
	largeImageId number(30,0),
	custom1ImageId number(30,0),
	custom2ImageId number(30,0),
	manualCheckInRequired number(1, 0),
	expirationDate timestamp null,
	reviewDate timestamp null,
	lastPublishDate timestamp null,
	primary key (fileEntryId, ctCollectionId)
);

create table DLFileEntryMetadata (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	fileEntryMetadataId number(30,0) not null,
	companyId number(30,0),
	DDMStorageId number(30,0),
	DDMStructureId number(30,0),
	fileEntryId number(30,0),
	fileVersionId number(30,0),
	primary key (fileEntryMetadataId, ctCollectionId)
);

create table DLFileEntryType (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	fileEntryTypeId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	dataDefinitionId number(30,0),
	fileEntryTypeKey VARCHAR2(75 CHAR) null,
	name varchar2(4000 char) null,
	description varchar2(4000 char) null,
	scope number(30,0),
	lastPublishDate timestamp null,
	primary key (fileEntryTypeId, ctCollectionId)
);

create table DLFileEntryTypes_DLFolders (
	companyId number(30,0) not null,
	fileEntryTypeId number(30,0) not null,
	folderId number(30,0) not null,
	ctCollectionId number(30,0) default 0 not null,
	ctChangeType number(1, 0),
	primary key (fileEntryTypeId, folderId, ctCollectionId)
);

create table DLFileShortcut (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	fileShortcutId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	repositoryId number(30,0),
	folderId number(30,0),
	toFileEntryId number(30,0),
	treePath varchar2(4000 char) null,
	active_ number(1, 0),
	lastPublishDate timestamp null,
	status number(30,0),
	statusByUserId number(30,0),
	statusByUserName VARCHAR2(75 CHAR) null,
	statusDate timestamp null,
	primary key (fileShortcutId, ctCollectionId)
);

create table DLFileVersion (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	fileVersionId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	repositoryId number(30,0),
	folderId number(30,0),
	fileEntryId number(30,0),
	treePath varchar2(4000 char) null,
	fileName VARCHAR2(255 CHAR) null,
	extension VARCHAR2(75 CHAR) null,
	mimeType VARCHAR2(75 CHAR) null,
	title VARCHAR2(255 CHAR) null,
	description varchar2(4000 char) null,
	changeLog VARCHAR2(75 CHAR) null,
	extraSettings clob null,
	fileEntryTypeId number(30,0),
	version VARCHAR2(75 CHAR) null,
	size_ number(30,0),
	checksum VARCHAR2(75 CHAR) null,
	expirationDate timestamp null,
	reviewDate timestamp null,
	lastPublishDate timestamp null,
	status number(30,0),
	statusByUserId number(30,0),
	statusByUserName VARCHAR2(75 CHAR) null,
	statusDate timestamp null,
	primary key (fileVersionId, ctCollectionId)
);

create table DLFolder (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	folderId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	repositoryId number(30,0),
	mountPoint number(1, 0),
	parentFolderId number(30,0),
	treePath varchar2(4000 char) null,
	name VARCHAR2(255 CHAR) null,
	description varchar2(4000 char) null,
	lastPostDate timestamp null,
	defaultFileEntryTypeId number(30,0),
	hidden_ number(1, 0),
	restrictionType number(30,0),
	lastPublishDate timestamp null,
	status number(30,0),
	statusByUserId number(30,0),
	statusByUserName VARCHAR2(75 CHAR) null,
	statusDate timestamp null,
	primary key (folderId, ctCollectionId)
);

create table EmailAddress (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	emailAddressId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	address VARCHAR2(254 CHAR) null,
	typeId number(30,0),
	primary_ number(1, 0)
);

create table ExpandoColumn (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	columnId number(30,0) not null,
	companyId number(30,0),
	modifiedDate timestamp null,
	tableId number(30,0),
	name VARCHAR2(75 CHAR) null,
	type_ number(30,0),
	defaultData clob null,
	typeSettings clob null,
	primary key (columnId, ctCollectionId)
);

create table ExpandoRow (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	rowId_ number(30,0) not null,
	companyId number(30,0),
	modifiedDate timestamp null,
	tableId number(30,0),
	classPK number(30,0),
	primary key (rowId_, ctCollectionId)
);

create table ExpandoTable (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	tableId number(30,0) not null,
	companyId number(30,0),
	classNameId number(30,0),
	name VARCHAR2(75 CHAR) null,
	primary key (tableId, ctCollectionId)
);

create table ExpandoValue (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	valueId number(30,0) not null,
	companyId number(30,0),
	tableId number(30,0),
	columnId number(30,0),
	rowId_ number(30,0),
	classNameId number(30,0),
	classPK number(30,0),
	data_ clob null,
	primary key (valueId, ctCollectionId)
);

create table ExportImportConfiguration (
	mvccVersion number(30,0) default 0 not null,
	exportImportConfigurationId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	name VARCHAR2(200 CHAR) null,
	description varchar2(4000 char) null,
	type_ number(30,0),
	settings_ clob null,
	status number(30,0),
	statusByUserId number(30,0),
	statusByUserName VARCHAR2(75 CHAR) null,
	statusDate timestamp null
);

create table Group_ (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	groupId number(30,0) not null,
	companyId number(30,0),
	creatorUserId number(30,0),
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	parentGroupId number(30,0),
	liveGroupId number(30,0),
	treePath varchar2(4000 char) null,
	groupKey VARCHAR2(150 CHAR) null,
	name varchar2(4000 char) null,
	description varchar2(4000 char) null,
	type_ number(30,0),
	typeSettings clob null,
	manualMembership number(1, 0),
	membershipRestriction number(30,0),
	friendlyURL VARCHAR2(255 CHAR) null,
	site number(1, 0),
	remoteStagingGroupCount number(30,0),
	inheritContent number(1, 0),
	active_ number(1, 0),
	primary key (groupId, ctCollectionId)
);

create table Groups_Orgs (
	companyId number(30,0) not null,
	groupId number(30,0) not null,
	organizationId number(30,0) not null,
	ctCollectionId number(30,0) default 0 not null,
	ctChangeType number(1, 0),
	primary key (groupId, organizationId, ctCollectionId)
);

create table Groups_Roles (
	companyId number(30,0) not null,
	groupId number(30,0) not null,
	roleId number(30,0) not null,
	ctCollectionId number(30,0) default 0 not null,
	ctChangeType number(1, 0),
	primary key (groupId, roleId, ctCollectionId)
);

create table Groups_UserGroups (
	companyId number(30,0) not null,
	groupId number(30,0) not null,
	userGroupId number(30,0) not null,
	ctCollectionId number(30,0) default 0 not null,
	ctChangeType number(1, 0),
	primary key (groupId, userGroupId, ctCollectionId)
);

create table Image (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	imageId number(30,0) not null,
	companyId number(30,0),
	modifiedDate timestamp null,
	type_ VARCHAR2(75 CHAR) null,
	height number(30,0),
	width number(30,0),
	size_ number(30,0),
	primary key (imageId, ctCollectionId)
);

create table Layout (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	plid number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	parentPlid number(30,0),
	privateLayout number(1, 0),
	layoutId number(30,0),
	parentLayoutId number(30,0),
	classNameId number(30,0),
	classPK number(30,0),
	name varchar2(4000 char) null,
	title clob null,
	description clob null,
	keywords varchar2(4000 char) null,
	robots varchar2(4000 char) null,
	type_ VARCHAR2(75 CHAR) null,
	typeSettings clob null,
	hidden_ number(1, 0),
	system_ number(1, 0),
	friendlyURL VARCHAR2(255 CHAR) null,
	iconImageId number(30,0),
	themeId VARCHAR2(75 CHAR) null,
	colorSchemeId VARCHAR2(75 CHAR) null,
	styleBookEntryId number(30,0),
	css clob null,
	priority number(30,0),
	masterLayoutPlid number(30,0),
	layoutPrototypeUuid VARCHAR2(75 CHAR) null,
	layoutPrototypeLinkEnabled number(1, 0),
	sourcePrototypeLayoutUuid VARCHAR2(75 CHAR) null,
	publishDate timestamp null,
	lastPublishDate timestamp null,
	status number(30,0),
	statusByUserId number(30,0),
	statusByUserName VARCHAR2(75 CHAR) null,
	statusDate timestamp null,
	primary key (plid, ctCollectionId)
);

create table LayoutBranch (
	mvccVersion number(30,0) default 0 not null,
	layoutBranchId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	layoutSetBranchId number(30,0),
	plid number(30,0),
	name VARCHAR2(75 CHAR) null,
	description varchar2(4000 char) null,
	master number(1, 0)
);

create table LayoutFriendlyURL (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	layoutFriendlyURLId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	plid number(30,0),
	privateLayout number(1, 0),
	friendlyURL VARCHAR2(255 CHAR) null,
	languageId VARCHAR2(75 CHAR) null,
	lastPublishDate timestamp null,
	primary key (layoutFriendlyURLId, ctCollectionId)
);

create table LayoutPrototype (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	layoutPrototypeId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	name clob null,
	description clob null,
	settings_ varchar2(4000 char) null,
	active_ number(1, 0)
);

create table LayoutRevision (
	mvccVersion number(30,0) default 0 not null,
	layoutRevisionId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	layoutSetBranchId number(30,0),
	layoutBranchId number(30,0),
	parentLayoutRevisionId number(30,0),
	head number(1, 0),
	major number(1, 0),
	plid number(30,0),
	privateLayout number(1, 0),
	name varchar2(4000 char) null,
	title varchar2(4000 char) null,
	description varchar2(4000 char) null,
	keywords varchar2(4000 char) null,
	robots varchar2(4000 char) null,
	typeSettings clob null,
	iconImageId number(30,0),
	themeId VARCHAR2(75 CHAR) null,
	colorSchemeId VARCHAR2(75 CHAR) null,
	css clob null,
	status number(30,0),
	statusByUserId number(30,0),
	statusByUserName VARCHAR2(75 CHAR) null,
	statusDate timestamp null
);

create table LayoutSet (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	layoutSetId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	createDate timestamp null,
	modifiedDate timestamp null,
	privateLayout number(1, 0),
	logoId number(30,0),
	themeId VARCHAR2(75 CHAR) null,
	colorSchemeId VARCHAR2(75 CHAR) null,
	css clob null,
	settings_ clob null,
	layoutSetPrototypeUuid VARCHAR2(75 CHAR) null,
	layoutSetPrototypeLinkEnabled number(1, 0),
	primary key (layoutSetId, ctCollectionId)
);

create table LayoutSetBranch (
	mvccVersion number(30,0) default 0 not null,
	layoutSetBranchId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	privateLayout number(1, 0),
	name VARCHAR2(75 CHAR) null,
	description varchar2(4000 char) null,
	master number(1, 0),
	logoId number(30,0),
	themeId VARCHAR2(75 CHAR) null,
	colorSchemeId VARCHAR2(75 CHAR) null,
	css clob null,
	settings_ clob null,
	layoutSetPrototypeUuid VARCHAR2(75 CHAR) null,
	layoutSetPrototypeLinkEnabled number(1, 0)
);

create table LayoutSetPrototype (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	layoutSetPrototypeId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	name clob null,
	description clob null,
	settings_ varchar2(4000 char) null,
	active_ number(1, 0)
);

create table ListType (
	mvccVersion number(30,0) default 0 not null,
	listTypeId number(30,0) not null primary key,
	name VARCHAR2(75 CHAR) null,
	type_ VARCHAR2(75 CHAR) null
);

create table MembershipRequest (
	mvccVersion number(30,0) default 0 not null,
	membershipRequestId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	createDate timestamp null,
	comments varchar2(4000 char) null,
	replyComments varchar2(4000 char) null,
	replyDate timestamp null,
	replierUserId number(30,0),
	statusId number(30,0)
);

create table Organization_ (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	externalReferenceCode VARCHAR2(75 CHAR) null,
	organizationId number(30,0) not null,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	parentOrganizationId number(30,0),
	treePath varchar2(4000 char) null,
	name VARCHAR2(100 CHAR) null,
	type_ VARCHAR2(75 CHAR) null,
	recursable number(1, 0),
	regionId number(30,0),
	countryId number(30,0),
	statusId number(30,0),
	comments varchar2(4000 char) null,
	logoId number(30,0),
	primary key (organizationId, ctCollectionId)
);

create table OrgGroupRole (
	mvccVersion number(30,0) default 0 not null,
	organizationId number(30,0) not null,
	groupId number(30,0) not null,
	roleId number(30,0) not null,
	companyId number(30,0),
	primary key (organizationId, groupId, roleId)
);

create table OrgLabor (
	mvccVersion number(30,0) default 0 not null,
	orgLaborId number(30,0) not null primary key,
	companyId number(30,0),
	organizationId number(30,0),
	typeId number(30,0),
	sunOpen number(30,0),
	sunClose number(30,0),
	monOpen number(30,0),
	monClose number(30,0),
	tueOpen number(30,0),
	tueClose number(30,0),
	wedOpen number(30,0),
	wedClose number(30,0),
	thuOpen number(30,0),
	thuClose number(30,0),
	friOpen number(30,0),
	friClose number(30,0),
	satOpen number(30,0),
	satClose number(30,0)
);

create table PasswordPolicy (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	passwordPolicyId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	defaultPolicy number(1, 0),
	name VARCHAR2(75 CHAR) null,
	description varchar2(4000 char) null,
	changeable number(1, 0),
	changeRequired number(1, 0),
	minAge number(30,0),
	checkSyntax number(1, 0),
	allowDictionaryWords number(1, 0),
	minAlphanumeric number(30,0),
	minLength number(30,0),
	minLowerCase number(30,0),
	minNumbers number(30,0),
	minSymbols number(30,0),
	minUpperCase number(30,0),
	regex varchar2(4000 char) null,
	history number(1, 0),
	historyCount number(30,0),
	expireable number(1, 0),
	maxAge number(30,0),
	warningTime number(30,0),
	graceLimit number(30,0),
	lockout number(1, 0),
	maxFailure number(30,0),
	lockoutDuration number(30,0),
	requireUnlock number(1, 0),
	resetFailureCount number(30,0),
	resetTicketMaxAge number(30,0)
);

create table PasswordPolicyRel (
	mvccVersion number(30,0) default 0 not null,
	passwordPolicyRelId number(30,0) not null primary key,
	companyId number(30,0),
	passwordPolicyId number(30,0),
	classNameId number(30,0),
	classPK number(30,0)
);

create table PasswordTracker (
	mvccVersion number(30,0) default 0 not null,
	passwordTrackerId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	createDate timestamp null,
	password_ VARCHAR2(75 CHAR) null
);

create table Phone (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	phoneId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	number_ VARCHAR2(75 CHAR) null,
	extension VARCHAR2(75 CHAR) null,
	typeId number(30,0),
	primary_ number(1, 0)
);

create table PluginSetting (
	mvccVersion number(30,0) default 0 not null,
	pluginSettingId number(30,0) not null primary key,
	companyId number(30,0),
	pluginId VARCHAR2(75 CHAR) null,
	pluginType VARCHAR2(75 CHAR) null,
	roles varchar2(4000 char) null,
	active_ number(1, 0)
);

create table PortalPreferenceValue (
	mvccVersion number(30,0) default 0 not null,
	portalPreferenceValueId number(30,0) not null primary key,
	companyId number(30,0),
	portalPreferencesId number(30,0),
	index_ number(30,0),
	key_ VARCHAR2(255 CHAR) null,
	largeValue clob null,
	namespace VARCHAR2(255 CHAR) null,
	smallValue VARCHAR2(255 CHAR) null
);

create table PortalPreferences (
	mvccVersion number(30,0) default 0 not null,
	portalPreferencesId number(30,0) not null primary key,
	companyId number(30,0),
	ownerId number(30,0),
	ownerType number(30,0)
);

create table Portlet (
	mvccVersion number(30,0) default 0 not null,
	id_ number(30,0) not null primary key,
	companyId number(30,0),
	portletId VARCHAR2(200 CHAR) null,
	roles varchar2(4000 char) null,
	active_ number(1, 0)
);

create table PortletItem (
	mvccVersion number(30,0) default 0 not null,
	portletItemId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	name VARCHAR2(75 CHAR) null,
	portletId VARCHAR2(200 CHAR) null,
	classNameId number(30,0)
);

create table PortletPreferenceValue (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	portletPreferenceValueId number(30,0) not null,
	companyId number(30,0),
	portletPreferencesId number(30,0),
	index_ number(30,0),
	largeValue clob null,
	name VARCHAR2(255 CHAR) null,
	readOnly number(1, 0),
	smallValue VARCHAR2(255 CHAR) null,
	primary key (portletPreferenceValueId, ctCollectionId)
);

create table PortletPreferences (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	portletPreferencesId number(30,0) not null,
	companyId number(30,0),
	ownerId number(30,0),
	ownerType number(30,0),
	plid number(30,0),
	portletId VARCHAR2(200 CHAR) null,
	primary key (portletPreferencesId, ctCollectionId)
);

create table RatingsEntry (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	entryId number(30,0) not null,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	score number(30,20),
	primary key (entryId, ctCollectionId)
);

create table RatingsStats (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	statsId number(30,0) not null,
	companyId number(30,0),
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	totalEntries number(30,0),
	totalScore number(30,20),
	averageScore number(30,20),
	primary key (statsId, ctCollectionId)
);

create table RecentLayoutBranch (
	mvccVersion number(30,0) default 0 not null,
	recentLayoutBranchId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	layoutBranchId number(30,0),
	layoutSetBranchId number(30,0),
	plid number(30,0)
);

create table RecentLayoutRevision (
	mvccVersion number(30,0) default 0 not null,
	recentLayoutRevisionId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	layoutRevisionId number(30,0),
	layoutSetBranchId number(30,0),
	plid number(30,0)
);

create table RecentLayoutSetBranch (
	mvccVersion number(30,0) default 0 not null,
	recentLayoutSetBranchId number(30,0) not null primary key,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	layoutSetBranchId number(30,0),
	layoutSetId number(30,0)
);

create table Region (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	defaultLanguageId VARCHAR2(75 CHAR) null,
	regionId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	countryId number(30,0),
	active_ number(1, 0),
	name VARCHAR2(75 CHAR) null,
	position number(30,20),
	regionCode VARCHAR2(75 CHAR) null,
	lastPublishDate timestamp null
);

create table RegionLocalization (
	mvccVersion number(30,0) default 0 not null,
	regionLocalizationId number(30,0) not null primary key,
	companyId number(30,0),
	regionId number(30,0),
	languageId VARCHAR2(75 CHAR) null,
	title VARCHAR2(75 CHAR) null
);

create table Release_ (
	mvccVersion number(30,0) default 0 not null,
	releaseId number(30,0) not null primary key,
	createDate timestamp null,
	modifiedDate timestamp null,
	servletContextName VARCHAR2(75 CHAR) null,
	schemaVersion VARCHAR2(75 CHAR) null,
	buildNumber number(30,0),
	buildDate timestamp null,
	verified number(1, 0),
	state_ number(30,0),
	testString VARCHAR2(1024 CHAR) null
);

create table Repository (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	repositoryId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	name VARCHAR2(200 CHAR) null,
	description varchar2(4000 char) null,
	portletId VARCHAR2(200 CHAR) null,
	typeSettings clob null,
	dlFolderId number(30,0),
	lastPublishDate timestamp null,
	primary key (repositoryId, ctCollectionId)
);

create table RepositoryEntry (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	repositoryEntryId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	repositoryId number(30,0),
	mappedId VARCHAR2(255 CHAR) null,
	manualCheckInRequired number(1, 0),
	lastPublishDate timestamp null,
	primary key (repositoryEntryId, ctCollectionId)
);

create table ResourceAction (
	mvccVersion number(30,0) default 0 not null,
	resourceActionId number(30,0) not null primary key,
	name VARCHAR2(255 CHAR) null,
	actionId VARCHAR2(75 CHAR) null,
	bitwiseValue number(30,0)
);

create table ResourcePermission (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	resourcePermissionId number(30,0) not null,
	companyId number(30,0),
	name VARCHAR2(255 CHAR) null,
	scope number(30,0),
	primKey VARCHAR2(255 CHAR) null,
	primKeyId number(30,0),
	roleId number(30,0),
	ownerId number(30,0),
	actionIds number(30,0),
	viewActionId number(1, 0),
	primary key (resourcePermissionId, ctCollectionId)
);

create table Role_ (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	roleId number(30,0) not null,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	name VARCHAR2(75 CHAR) null,
	title varchar2(4000 char) null,
	description varchar2(4000 char) null,
	type_ number(30,0),
	subtype VARCHAR2(75 CHAR) null,
	primary key (roleId, ctCollectionId)
);

create table ServiceComponent (
	mvccVersion number(30,0) default 0 not null,
	serviceComponentId number(30,0) not null primary key,
	buildNamespace VARCHAR2(75 CHAR) null,
	buildNumber number(30,0),
	buildDate number(30,0),
	data_ clob null
);

create table SocialActivity (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	activityId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	createDate number(30,0),
	activitySetId number(30,0),
	mirrorActivityId number(30,0),
	classNameId number(30,0),
	classPK number(30,0),
	parentClassNameId number(30,0),
	parentClassPK number(30,0),
	type_ number(30,0),
	extraData varchar2(4000 char) null,
	receiverUserId number(30,0),
	primary key (activityId, ctCollectionId)
);

create table SocialActivityAchievement (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	activityAchievementId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	createDate number(30,0),
	name VARCHAR2(75 CHAR) null,
	firstInGroup number(1, 0),
	primary key (activityAchievementId, ctCollectionId)
);

create table SocialActivityCounter (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	activityCounterId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	classNameId number(30,0),
	classPK number(30,0),
	name VARCHAR2(75 CHAR) null,
	ownerType number(30,0),
	currentValue number(30,0),
	totalValue number(30,0),
	graceValue number(30,0),
	startPeriod number(30,0),
	endPeriod number(30,0),
	active_ number(1, 0),
	primary key (activityCounterId, ctCollectionId)
);

create table SocialActivityLimit (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	activityLimitId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	classNameId number(30,0),
	classPK number(30,0),
	activityType number(30,0),
	activityCounterName VARCHAR2(75 CHAR) null,
	value VARCHAR2(75 CHAR) null,
	primary key (activityLimitId, ctCollectionId)
);

create table SocialActivitySet (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	activitySetId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	createDate number(30,0),
	modifiedDate number(30,0),
	classNameId number(30,0),
	classPK number(30,0),
	type_ number(30,0),
	extraData varchar2(4000 char) null,
	activityCount number(30,0),
	primary key (activitySetId, ctCollectionId)
);

create table SocialActivitySetting (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	activitySettingId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	classNameId number(30,0),
	activityType number(30,0),
	name VARCHAR2(75 CHAR) null,
	value VARCHAR2(1024 CHAR) null,
	primary key (activitySettingId, ctCollectionId)
);

create table SocialRelation (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	relationId number(30,0) not null,
	companyId number(30,0),
	createDate number(30,0),
	userId1 number(30,0),
	userId2 number(30,0),
	type_ number(30,0),
	primary key (relationId, ctCollectionId)
);

create table SocialRequest (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	requestId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	createDate number(30,0),
	modifiedDate number(30,0),
	classNameId number(30,0),
	classPK number(30,0),
	type_ number(30,0),
	extraData varchar2(4000 char) null,
	receiverUserId number(30,0),
	status number(30,0),
	primary key (requestId, ctCollectionId)
);

create table SystemEvent (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	systemEventId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	classUuid VARCHAR2(75 CHAR) null,
	referrerClassNameId number(30,0),
	parentSystemEventId number(30,0),
	systemEventSetKey number(30,0),
	type_ number(30,0),
	extraData clob null,
	primary key (systemEventId, ctCollectionId)
);

create table Team (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	teamId number(30,0) not null,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	groupId number(30,0),
	name VARCHAR2(75 CHAR) null,
	description varchar2(4000 char) null,
	lastPublishDate timestamp null,
	primary key (teamId, ctCollectionId)
);

create table Ticket (
	mvccVersion number(30,0) default 0 not null,
	ticketId number(30,0) not null primary key,
	companyId number(30,0),
	createDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	key_ VARCHAR2(75 CHAR) null,
	type_ number(30,0),
	extraInfo clob null,
	expirationDate timestamp null
);

create table UserNotificationDelivery (
	mvccVersion number(30,0) default 0 not null,
	userNotificationDeliveryId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	portletId VARCHAR2(200 CHAR) null,
	classNameId number(30,0),
	notificationType number(30,0),
	deliveryType number(30,0),
	deliver number(1, 0)
);

create table User_ (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	externalReferenceCode VARCHAR2(75 CHAR) null,
	userId number(30,0) not null,
	companyId number(30,0),
	createDate timestamp null,
	modifiedDate timestamp null,
	defaultUser number(1, 0),
	contactId number(30,0),
	password_ VARCHAR2(75 CHAR) null,
	passwordEncrypted number(1, 0),
	passwordReset number(1, 0),
	passwordModifiedDate timestamp null,
	digest VARCHAR2(255 CHAR) null,
	reminderQueryQuestion VARCHAR2(75 CHAR) null,
	reminderQueryAnswer VARCHAR2(75 CHAR) null,
	graceLoginCount number(30,0),
	screenName VARCHAR2(75 CHAR) null,
	emailAddress VARCHAR2(254 CHAR) null,
	facebookId number(30,0),
	googleUserId VARCHAR2(75 CHAR) null,
	ldapServerId number(30,0),
	openId VARCHAR2(1024 CHAR) null,
	portraitId number(30,0),
	languageId VARCHAR2(75 CHAR) null,
	timeZoneId VARCHAR2(75 CHAR) null,
	greeting VARCHAR2(255 CHAR) null,
	comments varchar2(4000 char) null,
	firstName VARCHAR2(75 CHAR) null,
	middleName VARCHAR2(75 CHAR) null,
	lastName VARCHAR2(75 CHAR) null,
	jobTitle VARCHAR2(100 CHAR) null,
	loginDate timestamp null,
	loginIP VARCHAR2(75 CHAR) null,
	lastLoginDate timestamp null,
	lastLoginIP VARCHAR2(75 CHAR) null,
	lastFailedLoginDate timestamp null,
	failedLoginAttempts number(30,0),
	lockout number(1, 0),
	lockoutDate timestamp null,
	agreedToTermsOfUse number(1, 0),
	emailAddressVerified number(1, 0),
	status number(30,0),
	primary key (userId, ctCollectionId)
);

create table UserGroup (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	externalReferenceCode VARCHAR2(75 CHAR) null,
	userGroupId number(30,0) not null,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	parentUserGroupId number(30,0),
	name VARCHAR2(255 CHAR) null,
	description varchar2(4000 char) null,
	addedByLDAPImport number(1, 0),
	primary key (userGroupId, ctCollectionId)
);

create table UserGroupGroupRole (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	userGroupGroupRoleId number(30,0) not null,
	companyId number(30,0),
	userGroupId number(30,0),
	groupId number(30,0),
	roleId number(30,0),
	primary key (userGroupGroupRoleId, ctCollectionId)
);

create table UserGroupRole (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	userGroupRoleId number(30,0) not null,
	companyId number(30,0),
	userId number(30,0),
	groupId number(30,0),
	roleId number(30,0),
	primary key (userGroupRoleId, ctCollectionId)
);

create table UserGroups_Teams (
	companyId number(30,0) not null,
	teamId number(30,0) not null,
	userGroupId number(30,0) not null,
	ctCollectionId number(30,0) default 0 not null,
	ctChangeType number(1, 0),
	primary key (teamId, userGroupId, ctCollectionId)
);

create table UserIdMapper (
	mvccVersion number(30,0) default 0 not null,
	userIdMapperId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	type_ VARCHAR2(75 CHAR) null,
	description VARCHAR2(75 CHAR) null,
	externalUserId VARCHAR2(75 CHAR) null
);

create table UserNotificationEvent (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	userNotificationEventId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	type_ VARCHAR2(200 CHAR) null,
	timestamp number(30,0),
	deliveryType number(30,0),
	deliverBy number(30,0),
	delivered number(1, 0),
	payload clob null,
	actionRequired number(1, 0),
	archived number(1, 0)
);

create table Users_Groups (
	companyId number(30,0) not null,
	groupId number(30,0) not null,
	userId number(30,0) not null,
	ctCollectionId number(30,0) default 0 not null,
	ctChangeType number(1, 0),
	primary key (groupId, userId, ctCollectionId)
);

create table Users_Orgs (
	companyId number(30,0) not null,
	organizationId number(30,0) not null,
	userId number(30,0) not null,
	ctCollectionId number(30,0) default 0 not null,
	ctChangeType number(1, 0),
	primary key (organizationId, userId, ctCollectionId)
);

create table Users_Roles (
	companyId number(30,0) not null,
	roleId number(30,0) not null,
	userId number(30,0) not null,
	ctCollectionId number(30,0) default 0 not null,
	ctChangeType number(1, 0),
	primary key (roleId, userId, ctCollectionId)
);

create table Users_Teams (
	companyId number(30,0) not null,
	teamId number(30,0) not null,
	userId number(30,0) not null,
	ctCollectionId number(30,0) default 0 not null,
	ctChangeType number(1, 0),
	primary key (teamId, userId, ctCollectionId)
);

create table Users_UserGroups (
	companyId number(30,0) not null,
	userId number(30,0) not null,
	userGroupId number(30,0) not null,
	ctCollectionId number(30,0) default 0 not null,
	ctChangeType number(1, 0),
	primary key (userId, userGroupId, ctCollectionId)
);

create table UserTracker (
	mvccVersion number(30,0) default 0 not null,
	userTrackerId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	modifiedDate timestamp null,
	sessionId VARCHAR2(200 CHAR) null,
	remoteAddr VARCHAR2(75 CHAR) null,
	remoteHost VARCHAR2(75 CHAR) null,
	userAgent VARCHAR2(200 CHAR) null
);

create table UserTrackerPath (
	mvccVersion number(30,0) default 0 not null,
	userTrackerPathId number(30,0) not null primary key,
	companyId number(30,0),
	userTrackerId number(30,0),
	path_ varchar2(4000 char) null,
	pathDate timestamp null
);

create table VirtualHost (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	virtualHostId number(30,0) not null,
	companyId number(30,0),
	layoutSetId number(30,0),
	hostname VARCHAR2(200 CHAR) null,
	defaultVirtualHost number(1, 0),
	languageId VARCHAR2(75 CHAR) null,
	primary key (virtualHostId, ctCollectionId)
);

create table WebDAVProps (
	mvccVersion number(30,0) default 0 not null,
	webDavPropsId number(30,0) not null primary key,
	companyId number(30,0),
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	props clob null
);

create table Website (
	mvccVersion number(30,0) default 0 not null,
	uuid_ VARCHAR2(75 CHAR) null,
	websiteId number(30,0) not null primary key,
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	url varchar2(4000 char) null,
	typeId number(30,0),
	primary_ number(1, 0),
	lastPublishDate timestamp null
);

create table WorkflowDefinitionLink (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	workflowDefinitionLinkId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	typePK number(30,0),
	workflowDefinitionName VARCHAR2(75 CHAR) null,
	workflowDefinitionVersion number(30,0),
	primary key (workflowDefinitionLinkId, ctCollectionId)
);

create table WorkflowInstanceLink (
	mvccVersion number(30,0) default 0 not null,
	ctCollectionId number(30,0) default 0 not null,
	workflowInstanceLinkId number(30,0) not null,
	groupId number(30,0),
	companyId number(30,0),
	userId number(30,0),
	userName VARCHAR2(75 CHAR) null,
	createDate timestamp null,
	modifiedDate timestamp null,
	classNameId number(30,0),
	classPK number(30,0),
	workflowInstanceId number(30,0),
	primary key (workflowInstanceLinkId, ctCollectionId)
);


--
-- List types for account entries
--

insert into ListType (listTypeId, name, type_) values (14000, 'billing', 'com.liferay.account.model.AccountEntry.address');
insert into ListType (listTypeId, name, type_) values (14001, 'billing-and-shipping', 'com.liferay.account.model.AccountEntry.address');
insert into ListType (listTypeId, name, type_) values (14002, 'shipping', 'com.liferay.account.model.AccountEntry.address');

--
-- List types for addresses
--

insert into ListType (listTypeId, name, type_) values (13000, 'phone-number', 'com.liferay.portal.kernel.model.Address.phone');

--
-- List types for companies
--

insert into ListType (listTypeId, name, type_) values (10000, 'billing', 'com.liferay.portal.kernel.model.Company.address');
insert into ListType (listTypeId, name, type_) values (10001, 'other', 'com.liferay.portal.kernel.model.Company.address');
insert into ListType (listTypeId, name, type_) values (10002, 'p-o-box', 'com.liferay.portal.kernel.model.Company.address');
insert into ListType (listTypeId, name, type_) values (10003, 'shipping', 'com.liferay.portal.kernel.model.Company.address');

insert into ListType (listTypeId, name, type_) values (10004, 'email-address', 'com.liferay.portal.kernel.model.Company.emailAddress');
insert into ListType (listTypeId, name, type_) values (10005, 'email-address-2', 'com.liferay.portal.kernel.model.Company.emailAddress');
insert into ListType (listTypeId, name, type_) values (10006, 'email-address-3', 'com.liferay.portal.kernel.model.Company.emailAddress');

insert into ListType (listTypeId, name, type_) values (10007, 'fax', 'com.liferay.portal.kernel.model.Company.phone');
insert into ListType (listTypeId, name, type_) values (10008, 'local', 'com.liferay.portal.kernel.model.Company.phone');
insert into ListType (listTypeId, name, type_) values (10009, 'other', 'com.liferay.portal.kernel.model.Company.phone');
insert into ListType (listTypeId, name, type_) values (10010, 'toll-free', 'com.liferay.portal.kernel.model.Company.phone');
insert into ListType (listTypeId, name, type_) values (10011, 'tty', 'com.liferay.portal.kernel.model.Company.phone');

insert into ListType (listTypeId, name, type_) values (10012, 'intranet', 'com.liferay.portal.kernel.model.Company.website');
insert into ListType (listTypeId, name, type_) values (10013, 'public', 'com.liferay.portal.kernel.model.Company.website');

--
-- List types for contacts
--

insert into ListType (listTypeId, name, type_) values (11000, 'business', 'com.liferay.portal.kernel.model.Contact.address');
insert into ListType (listTypeId, name, type_) values (11001, 'other', 'com.liferay.portal.kernel.model.Contact.address');
insert into ListType (listTypeId, name, type_) values (11002, 'personal', 'com.liferay.portal.kernel.model.Contact.address');

insert into ListType (listTypeId, name, type_) values (11003, 'email-address', 'com.liferay.portal.kernel.model.Contact.emailAddress');
insert into ListType (listTypeId, name, type_) values (11004, 'email-address-2', 'com.liferay.portal.kernel.model.Contact.emailAddress');
insert into ListType (listTypeId, name, type_) values (11005, 'email-address-3', 'com.liferay.portal.kernel.model.Contact.emailAddress');

insert into ListType (listTypeId, name, type_) values (11006, 'business', 'com.liferay.portal.kernel.model.Contact.phone');
insert into ListType (listTypeId, name, type_) values (11007, 'business-fax', 'com.liferay.portal.kernel.model.Contact.phone');
insert into ListType (listTypeId, name, type_) values (11008, 'mobile-phone', 'com.liferay.portal.kernel.model.Contact.phone');
insert into ListType (listTypeId, name, type_) values (11009, 'other', 'com.liferay.portal.kernel.model.Contact.phone');
insert into ListType (listTypeId, name, type_) values (11010, 'pager', 'com.liferay.portal.kernel.model.Contact.phone');
insert into ListType (listTypeId, name, type_) values (11011, 'personal', 'com.liferay.portal.kernel.model.Contact.phone');
insert into ListType (listTypeId, name, type_) values (11012, 'personal-fax', 'com.liferay.portal.kernel.model.Contact.phone');
insert into ListType (listTypeId, name, type_) values (11013, 'tty', 'com.liferay.portal.kernel.model.Contact.phone');

insert into ListType (listTypeId, name, type_) values (11014, 'dr', 'com.liferay.portal.kernel.model.Contact.prefix');
insert into ListType (listTypeId, name, type_) values (11015, 'mr', 'com.liferay.portal.kernel.model.Contact.prefix');
insert into ListType (listTypeId, name, type_) values (11016, 'mrs', 'com.liferay.portal.kernel.model.Contact.prefix');
insert into ListType (listTypeId, name, type_) values (11017, 'ms', 'com.liferay.portal.kernel.model.Contact.prefix');

insert into ListType (listTypeId, name, type_) values (11020, 'ii', 'com.liferay.portal.kernel.model.Contact.suffix');
insert into ListType (listTypeId, name, type_) values (11021, 'iii', 'com.liferay.portal.kernel.model.Contact.suffix');
insert into ListType (listTypeId, name, type_) values (11022, 'iv', 'com.liferay.portal.kernel.model.Contact.suffix');
insert into ListType (listTypeId, name, type_) values (11023, 'jr', 'com.liferay.portal.kernel.model.Contact.suffix');
insert into ListType (listTypeId, name, type_) values (11024, 'phd', 'com.liferay.portal.kernel.model.Contact.suffix');
insert into ListType (listTypeId, name, type_) values (11025, 'sr', 'com.liferay.portal.kernel.model.Contact.suffix');

insert into ListType (listTypeId, name, type_) values (11026, 'blog', 'com.liferay.portal.kernel.model.Contact.website');
insert into ListType (listTypeId, name, type_) values (11027, 'business', 'com.liferay.portal.kernel.model.Contact.website');
insert into ListType (listTypeId, name, type_) values (11028, 'other', 'com.liferay.portal.kernel.model.Contact.website');
insert into ListType (listTypeId, name, type_) values (11029, 'personal', 'com.liferay.portal.kernel.model.Contact.website');

--
-- List types for organizations
--

insert into ListType (listTypeId, name, type_) values (12000, 'billing', 'com.liferay.portal.kernel.model.Organization.address');
insert into ListType (listTypeId, name, type_) values (12001, 'other', 'com.liferay.portal.kernel.model.Organization.address');
insert into ListType (listTypeId, name, type_) values (12002, 'p-o-box', 'com.liferay.portal.kernel.model.Organization.address');
insert into ListType (listTypeId, name, type_) values (12003, 'shipping', 'com.liferay.portal.kernel.model.Organization.address');

insert into ListType (listTypeId, name, type_) values (12004, 'email-address', 'com.liferay.portal.kernel.model.Organization.emailAddress');
insert into ListType (listTypeId, name, type_) values (12005, 'email-address-2', 'com.liferay.portal.kernel.model.Organization.emailAddress');
insert into ListType (listTypeId, name, type_) values (12006, 'email-address-3', 'com.liferay.portal.kernel.model.Organization.emailAddress');

insert into ListType (listTypeId, name, type_) values (12007, 'fax', 'com.liferay.portal.kernel.model.Organization.phone');
insert into ListType (listTypeId, name, type_) values (12008, 'local', 'com.liferay.portal.kernel.model.Organization.phone');
insert into ListType (listTypeId, name, type_) values (12009, 'other', 'com.liferay.portal.kernel.model.Organization.phone');
insert into ListType (listTypeId, name, type_) values (12010, 'toll-free', 'com.liferay.portal.kernel.model.Organization.phone');
insert into ListType (listTypeId, name, type_) values (12011, 'tty', 'com.liferay.portal.kernel.model.Organization.phone');

insert into ListType (listTypeId, name, type_) values (12012, 'administrative', 'com.liferay.portal.kernel.model.Organization.service');
insert into ListType (listTypeId, name, type_) values (12013, 'contracts', 'com.liferay.portal.kernel.model.Organization.service');
insert into ListType (listTypeId, name, type_) values (12014, 'donation', 'com.liferay.portal.kernel.model.Organization.service');
insert into ListType (listTypeId, name, type_) values (12015, 'retail', 'com.liferay.portal.kernel.model.Organization.service');
insert into ListType (listTypeId, name, type_) values (12016, 'training', 'com.liferay.portal.kernel.model.Organization.service');

insert into ListType (listTypeId, name, type_) values (12017, 'full-member', 'com.liferay.portal.kernel.model.Organization.status');
insert into ListType (listTypeId, name, type_) values (12018, 'provisional-member', 'com.liferay.portal.kernel.model.Organization.status');

insert into ListType (listTypeId, name, type_) values (12019, 'intranet', 'com.liferay.portal.kernel.model.Organization.website');
insert into ListType (listTypeId, name, type_) values (12020, 'public', 'com.liferay.portal.kernel.model.Organization.website');


insert into Counter (name, currentId) values ('com.liferay.counter.kernel.model.Counter', 20000);



commit;


create index IX_923BD178 on Address (companyId, classNameId, classPK, mailing);
create index IX_9226DBB4 on Address (companyId, classNameId, classPK, primary_);
create index IX_58D4EA4C on Address (companyId, classNameId, classPK, typeId);
create index IX_CBAD282F on Address (companyId, externalReferenceCode);
create index IX_5A2093E7 on Address (countryId);
create index IX_C8E3E87D on Address (regionId);
create index IX_5BC8B0D4 on Address (userId);
create index IX_8FCB620E on Address (uuid_, companyId);

create index IX_37B0A8A2 on AnnouncementsDelivery (companyId);
create unique index IX_BA4413D5 on AnnouncementsDelivery (userId, type_);

create index IX_14F06A6B on AnnouncementsEntry (classNameId, classPK, alert);
create index IX_459BE01B on AnnouncementsEntry (companyId, classNameId, classPK, alert);
create index IX_D49C2E66 on AnnouncementsEntry (userId);
create index IX_F2949120 on AnnouncementsEntry (uuid_, companyId);

create index IX_EF1F022A on AnnouncementsFlag (companyId);
create index IX_9C7EB9F on AnnouncementsFlag (entryId);
create unique index IX_4539A99C on AnnouncementsFlag (userId, entryId, value);

create index IX_AE8DFA7 on AssetCategory (companyId, externalReferenceCode, ctCollectionId);
create index IX_1757FA92 on AssetCategory (ctCollectionId);
create index IX_62DC0D54 on AssetCategory (groupId, ctCollectionId);
create index IX_A497FDE5 on AssetCategory (groupId, externalReferenceCode, ctCollectionId);
create index IX_3E49A228 on AssetCategory (groupId, name, vocabularyId, ctCollectionId);
create index IX_5159C90B on AssetCategory (groupId, parentCategoryId, ctCollectionId);
create index IX_852EA801 on AssetCategory (groupId, parentCategoryId, name, vocabularyId);
create index IX_51264AA0 on AssetCategory (groupId, parentCategoryId, vocabularyId, ctCollectionId);
create index IX_7EF2DB29 on AssetCategory (groupId, vocabularyId, ctCollectionId);
create index IX_8F988466 on AssetCategory (name, vocabularyId, ctCollectionId);
create index IX_88D822C9 on AssetCategory (parentCategoryId, ctCollectionId);
create index IX_83C2D848 on AssetCategory (parentCategoryId, name, ctCollectionId);
create unique index IX_DC516B1D on AssetCategory (parentCategoryId, name, vocabularyId, ctCollectionId);
create index IX_8CEDBFDE on AssetCategory (parentCategoryId, vocabularyId, ctCollectionId);
create index IX_59B2EF86 on AssetCategory (uuid_, companyId, ctCollectionId);
create index IX_A9CC915E on AssetCategory (uuid_, ctCollectionId);
create unique index IX_5B65C08 on AssetCategory (uuid_, groupId, ctCollectionId);
create index IX_24AFC3E7 on AssetCategory (vocabularyId, ctCollectionId);

create index IX_112337B8 on AssetEntries_AssetTags (companyId);
create index IX_B2A61B55 on AssetEntries_AssetTags (tagId);

create unique index IX_7BF8337B on AssetEntry (classNameId, classPK, ctCollectionId);
create index IX_25F682BE on AssetEntry (companyId, ctCollectionId);
create index IX_E504D126 on AssetEntry (ctCollectionId);
create index IX_8839F457 on AssetEntry (expirationDate, ctCollectionId);
create index IX_B516ADB0 on AssetEntry (groupId, classNameId, publishDate, expirationDate, ctCollectionId);
create index IX_A62EE954 on AssetEntry (groupId, classNameId, visible, ctCollectionId);
create index IX_683ADC7F on AssetEntry (groupId, classUuid, ctCollectionId);
create index IX_D5B55D40 on AssetEntry (groupId, ctCollectionId);
create index IX_5B55565F on AssetEntry (layoutUuid, ctCollectionId);
create index IX_788964E3 on AssetEntry (publishDate, ctCollectionId);
create index IX_5B6AC3B8 on AssetEntry (visible, ctCollectionId);

create index IX_5D969E8E on AssetLink (ctCollectionId);
create index IX_9BB95D26 on AssetLink (entryId1, ctCollectionId);
create index IX_97B1F7F on AssetLink (entryId1, entryId2, ctCollectionId);
create unique index IX_7FC555F2 on AssetLink (entryId1, entryId2, type_, ctCollectionId);
create index IX_F75CBE6B on AssetLink (entryId1, type_, ctCollectionId);
create index IX_6963BEE7 on AssetLink (entryId2, ctCollectionId);
create index IX_F936118A on AssetLink (entryId2, type_, ctCollectionId);

create index IX_E534924E on AssetTag (ctCollectionId);
create index IX_24286918 on AssetTag (groupId, ctCollectionId);
create unique index IX_AA52E757 on AssetTag (groupId, name, ctCollectionId);
create index IX_7A6CD00D on AssetTag (name, ctCollectionId);
create index IX_71579042 on AssetTag (uuid_, companyId, ctCollectionId);
create index IX_E7450E22 on AssetTag (uuid_, ctCollectionId);
create unique index IX_A43FBC4 on AssetTag (uuid_, groupId, ctCollectionId);

create index IX_F75DCEEA on AssetVocabulary (companyId, ctCollectionId);
create index IX_6496D38F on AssetVocabulary (companyId, externalReferenceCode, ctCollectionId);
create index IX_49B3687A on AssetVocabulary (ctCollectionId);
create index IX_4E99C46C on AssetVocabulary (groupId, ctCollectionId);
create index IX_9181CBCD on AssetVocabulary (groupId, externalReferenceCode, ctCollectionId);
create unique index IX_AE9F73AB on AssetVocabulary (groupId, name, ctCollectionId);
create index IX_2C944C4C on AssetVocabulary (groupId, visibilityType, ctCollectionId);
create index IX_B955B36E on AssetVocabulary (uuid_, companyId, ctCollectionId);
create index IX_2F3D2E76 on AssetVocabulary (uuid_, ctCollectionId);
create unique index IX_8F88F9F0 on AssetVocabulary (uuid_, groupId, ctCollectionId);

create unique index IX_E7B95510 on BrowserTracker (userId);

create unique index IX_B27A301F on ClassName_ (value);

create index IX_38EFE3FD on Company (logoId);
create index IX_12566EC2 on Company (mx);
create index IX_8699D9BD on Company (system_);
create unique index IX_EC00543C on Company (webId);

create unique index IX_85C63FD7 on CompanyInfo (companyId);

create index IX_791914FA on Contact_ (classNameId, classPK);
create index IX_66D496A3 on Contact_ (companyId);

create index IX_25D734CD on Country (active_);
create unique index IX_742FFB11 on Country (companyId, a2);
create unique index IX_742FFED2 on Country (companyId, a3);
create index IX_F9CD867E on Country (companyId, active_, billingAllowed);
create index IX_54E98CCD on Country (companyId, active_, shippingAllowed);
create unique index IX_410257AB on Country (companyId, name);
create unique index IX_4B78E87A on Country (companyId, number_);
create index IX_BEAF8B0 on Country (uuid_, companyId);

create unique index IX_518948B3 on CountryLocalization (countryId, languageId);

create index IX_33E8A112 on DLFileEntry (companyId, ctCollectionId);
create index IX_5444C427 on DLFileEntry (companyId, fileEntryTypeId);
create index IX_9B56081C on DLFileEntry (custom1ImageId, ctCollectionId);
create index IX_9D2F5B3B on DLFileEntry (custom2ImageId, ctCollectionId);
create index IX_C0A6F645 on DLFileEntry (fileEntryTypeId, ctCollectionId);
create index IX_F951AC2E on DLFileEntry (folderId, name, ctCollectionId);
create index IX_60830094 on DLFileEntry (groupId, ctCollectionId);
create index IX_273362A5 on DLFileEntry (groupId, externalReferenceCode, ctCollectionId);
create index IX_BAF654E5 on DLFileEntry (groupId, fileEntryTypeId);
create index IX_95A2D1F1 on DLFileEntry (groupId, folderId, ctCollectionId);
create index IX_D8883586 on DLFileEntry (groupId, folderId, fileEntryTypeId, ctCollectionId);
create unique index IX_A256938C on DLFileEntry (groupId, folderId, fileName, ctCollectionId);
create unique index IX_F7878970 on DLFileEntry (groupId, folderId, name, ctCollectionId);
create unique index IX_EAAB273 on DLFileEntry (groupId, folderId, title, ctCollectionId);
create index IX_3B20ECE on DLFileEntry (groupId, userId, ctCollectionId);
create index IX_87A8DFAB on DLFileEntry (groupId, userId, folderId, ctCollectionId);
create index IX_863591A1 on DLFileEntry (largeImageId, ctCollectionId);
create index IX_72175754 on DLFileEntry (mimeType, ctCollectionId);
create index IX_6EC7490B on DLFileEntry (repositoryId, ctCollectionId);
create index IX_277C31A8 on DLFileEntry (repositoryId, folderId, ctCollectionId);
create index IX_A8521555 on DLFileEntry (smallImageId, ctCollectionId);
create index IX_854E0F17 on DLFileEntry (smallImageId, largeImageId, custom1ImageId, custom2ImageId, ctCollectionId);
create index IX_1F89A446 on DLFileEntry (uuid_, companyId, ctCollectionId);
create index IX_CF17549E on DLFileEntry (uuid_, ctCollectionId);
create unique index IX_373340C8 on DLFileEntry (uuid_, groupId, ctCollectionId);

create unique index IX_B9210CAD on DLFileEntryMetadata (DDMStructureId, fileVersionId, ctCollectionId);
create index IX_8D4F58BC on DLFileEntryMetadata (fileEntryId, ctCollectionId);
create index IX_A158EA62 on DLFileEntryMetadata (fileVersionId, ctCollectionId);
create index IX_EABA15 on DLFileEntryMetadata (uuid_, companyId, ctCollectionId);
create index IX_EAA9CA2F on DLFileEntryMetadata (uuid_, ctCollectionId);

create index IX_C0561BFA on DLFileEntryType (groupId, ctCollectionId);
create unique index IX_B6F21286 on DLFileEntryType (groupId, dataDefinitionId, ctCollectionId);
create unique index IX_402227BD on DLFileEntryType (groupId, fileEntryTypeKey, ctCollectionId);
create index IX_F147FBA0 on DLFileEntryType (uuid_, companyId, ctCollectionId);
create index IX_17A61184 on DLFileEntryType (uuid_, ctCollectionId);
create unique index IX_1773A6A2 on DLFileEntryType (uuid_, groupId, ctCollectionId);

create index IX_2E64D9F9 on DLFileEntryTypes_DLFolders (companyId);
create index IX_6E00A2EC on DLFileEntryTypes_DLFolders (folderId);

create index IX_A46E54B6 on DLFileShortcut (companyId, ctCollectionId);
create index IX_80362F9C on DLFileShortcut (companyId, status, ctCollectionId);
create index IX_8A2EF610 on DLFileShortcut (groupId, folderId, active_, ctCollectionId);
create index IX_CFD4D6F6 on DLFileShortcut (groupId, folderId, active_, status, ctCollectionId);
create index IX_869CA195 on DLFileShortcut (groupId, folderId, ctCollectionId);
create index IX_5CAA7254 on DLFileShortcut (toFileEntryId, ctCollectionId);
create index IX_FE055022 on DLFileShortcut (uuid_, companyId, ctCollectionId);
create index IX_21B07A42 on DLFileShortcut (uuid_, ctCollectionId);
create unique index IX_DD2033A4 on DLFileShortcut (uuid_, groupId, ctCollectionId);

create index IX_97782D6C on DLFileVersion (companyId, ctCollectionId);
create index IX_808EF252 on DLFileVersion (companyId, status, ctCollectionId);
create index IX_759EF1C5 on DLFileVersion (fileEntryId, ctCollectionId);
create index IX_C97C4DAB on DLFileVersion (fileEntryId, status, ctCollectionId);
create unique index IX_10E504DF on DLFileVersion (fileEntryId, version, ctCollectionId);
create index IX_3A12DA31 on DLFileVersion (groupId, folderId, status, ctCollectionId);
create index IX_DCA2C64B on DLFileVersion (groupId, folderId, title, version, ctCollectionId);
create index IX_9E97D7BA on DLFileVersion (mimeType, ctCollectionId);
create index IX_16CE5EAC on DLFileVersion (uuid_, companyId, ctCollectionId);
create index IX_48BF1DF8 on DLFileVersion (uuid_, ctCollectionId);
create unique index IX_350F5CAE on DLFileVersion (uuid_, groupId, ctCollectionId);

create index IX_67A46FAA on DLFolder (companyId, ctCollectionId);
create index IX_F1EC1690 on DLFolder (companyId, status, ctCollectionId);
create index IX_9D91952C on DLFolder (groupId, ctCollectionId);
create index IX_4B18B17E on DLFolder (groupId, mountPoint, parentFolderId, ctCollectionId);
create index IX_45D93323 on DLFolder (groupId, mountPoint, parentFolderId, hidden_, ctCollectionId);
create index IX_91065109 on DLFolder (groupId, mountPoint, parentFolderId, hidden_, status, ctCollectionId);
create index IX_CF68C0D3 on DLFolder (groupId, parentFolderId, ctCollectionId);
create index IX_7663654 on DLFolder (groupId, parentFolderId, hidden_, status, ctCollectionId);
create unique index IX_C7E346D2 on DLFolder (groupId, parentFolderId, name, ctCollectionId);
create index IX_4642F2E0 on DLFolder (parentFolderId, name, ctCollectionId);
create index IX_BB15D373 on DLFolder (repositoryId, ctCollectionId);
create index IX_F344479E on DLFolder (repositoryId, mountPoint, ctCollectionId);
create index IX_E7CD911A on DLFolder (repositoryId, parentFolderId, ctCollectionId);
create index IX_333CBAAE on DLFolder (uuid_, companyId, ctCollectionId);
create index IX_B7722F36 on DLFolder (uuid_, ctCollectionId);
create unique index IX_AA08D130 on DLFolder (uuid_, groupId, ctCollectionId);

create index IX_2A2CB130 on EmailAddress (companyId, classNameId, classPK, primary_);
create index IX_7B43CD8 on EmailAddress (userId);
create index IX_F74AB912 on EmailAddress (uuid_, companyId);

create index IX_8B26D246 on ExpandoColumn (tableId, ctCollectionId);
create unique index IX_4A7D3605 on ExpandoColumn (tableId, name, ctCollectionId);

create index IX_BCC0D776 on ExpandoRow (classPK, ctCollectionId);
create unique index IX_488E0C53 on ExpandoRow (tableId, classPK, ctCollectionId);
create index IX_5C47920C on ExpandoRow (tableId, ctCollectionId);

create index IX_A905B6E3 on ExpandoTable (companyId, classNameId, ctCollectionId);
create unique index IX_87D370E2 on ExpandoTable (companyId, classNameId, name, ctCollectionId);

create index IX_FF8FB775 on ExpandoValue (classNameId, classPK, ctCollectionId);
create index IX_B5A9F1E5 on ExpandoValue (columnId, ctCollectionId);
create unique index IX_E6D98E43 on ExpandoValue (columnId, rowId_, ctCollectionId);
create index IX_FC7A3DFE on ExpandoValue (rowId_, ctCollectionId);
create index IX_3D37FDAA on ExpandoValue (tableId, classPK, ctCollectionId);
create unique index IX_D8C72C45 on ExpandoValue (tableId, columnId, classPK, ctCollectionId);
create index IX_8AF759DA on ExpandoValue (tableId, columnId, ctCollectionId);
create index IX_EEA372D5 on ExpandoValue (tableId, ctCollectionId);
create index IX_4E7B1F33 on ExpandoValue (tableId, rowId_, ctCollectionId);

create index IX_1827A2E5 on ExportImportConfiguration (companyId);
create index IX_38FA468D on ExportImportConfiguration (groupId, status);
create index IX_47CC6234 on ExportImportConfiguration (groupId, type_, status);

create index IX_EB3A63D9 on Group_ (classNameId, classPK, ctCollectionId);
create index IX_BD3CB13A on Group_ (classNameId, groupId, companyId, parentGroupId);
create index IX_8B5402E5 on Group_ (companyId, active_, ctCollectionId);
create unique index IX_504CABF5 on Group_ (companyId, classNameId, classPK, ctCollectionId);
create index IX_2442742A on Group_ (companyId, classNameId, ctCollectionId);
create index IX_B7EBDBB2 on Group_ (companyId, classNameId, parentGroupId, ctCollectionId);
create index IX_A67A0AA5 on Group_ (companyId, classNameId, site, ctCollectionId);
create index IX_286EE120 on Group_ (companyId, ctCollectionId);
create unique index IX_9A7D6AD0 on Group_ (companyId, friendlyURL, ctCollectionId);
create unique index IX_BE219CF4 on Group_ (companyId, groupKey, ctCollectionId);
create index IX_A20523FC on Group_ (companyId, parentGroupId, ctCollectionId);
create index IX_121A14F7 on Group_ (companyId, parentGroupId, site, ctCollectionId);
create index IX_162053E9 on Group_ (companyId, parentGroupId, site, inheritContent, ctCollectionId);
create index IX_4108074A on Group_ (companyId, site, active_, ctCollectionId);
create index IX_CFE2671B on Group_ (companyId, site, ctCollectionId);
create index IX_8060F096 on Group_ (liveGroupId, ctCollectionId);
create index IX_5263ACD8 on Group_ (type_, active_, ctCollectionId);
create index IX_21CBD878 on Group_ (uuid_, companyId, ctCollectionId);
create index IX_BFEBCBAC on Group_ (uuid_, ctCollectionId);

create index IX_8BFD4548 on Groups_Orgs (companyId);
create index IX_6BBB7682 on Groups_Orgs (organizationId);

create index IX_557D8550 on Groups_Roles (companyId);
create index IX_3103EF3D on Groups_Roles (roleId);

create index IX_676FC818 on Groups_UserGroups (companyId);
create index IX_3B69160F on Groups_UserGroups (userGroupId);

create index IX_9720F6AB on Image (size_, ctCollectionId);

create index IX_31B45343 on Layout (classNameId, classPK, ctCollectionId);
create index IX_4B906FF6 on Layout (companyId, ctCollectionId);
create index IX_8F868C29 on Layout (companyId, layoutPrototypeUuid, ctCollectionId);
create index IX_FD5AF6EE on Layout (ctCollectionId);
create index IX_34D93878 on Layout (groupId, ctCollectionId);
create index IX_12770E8F on Layout (groupId, masterLayoutPlid, ctCollectionId);
create index IX_7BFE8B01 on Layout (groupId, privateLayout, ctCollectionId);
create unique index IX_B556968F on Layout (groupId, privateLayout, friendlyURL, ctCollectionId);
create unique index IX_CF5120DA on Layout (groupId, privateLayout, layoutId, ctCollectionId);
create index IX_52D89564 on Layout (groupId, privateLayout, parentLayoutId, ctCollectionId);
create index IX_1E4451FD on Layout (groupId, privateLayout, parentLayoutId, hidden_, ctCollectionId);
create index IX_989E917C on Layout (groupId, privateLayout, parentLayoutId, priority, ctCollectionId);
create index IX_66125D58 on Layout (groupId, privateLayout, parentLayoutId, system_, ctCollectionId);
create index IX_18D0C537 on Layout (groupId, privateLayout, sourcePrototypeLayoutUuid, ctCollectionId);
create index IX_A73CEAE7 on Layout (groupId, privateLayout, status, ctCollectionId);
create index IX_A1FC5430 on Layout (groupId, privateLayout, type_, ctCollectionId);
create index IX_94E0E2D9 on Layout (groupId, type_, ctCollectionId);
create index IX_E7B06BDB on Layout (iconImageId, ctCollectionId);
create index IX_11389031 on Layout (layoutPrototypeUuid, ctCollectionId);
create index IX_7F60B703 on Layout (parentPlid, ctCollectionId);
create index IX_C95F601E on Layout (privateLayout, iconImageId, ctCollectionId);
create index IX_ED8D4D2A on Layout (sourcePrototypeLayoutUuid, ctCollectionId);
create index IX_24AA0CE2 on Layout (uuid_, companyId, ctCollectionId);
create index IX_5AA23582 on Layout (uuid_, ctCollectionId);
create unique index IX_52D84D95 on Layout (uuid_, groupId, privateLayout, ctCollectionId);

create index IX_A705FF94 on LayoutBranch (layoutSetBranchId, plid, master);
create unique index IX_FD57097D on LayoutBranch (layoutSetBranchId, plid, name);

create index IX_1C55E26 on LayoutFriendlyURL (companyId, ctCollectionId);
create index IX_7ED3F2A8 on LayoutFriendlyURL (groupId, ctCollectionId);
create index IX_6F5128BF on LayoutFriendlyURL (groupId, privateLayout, friendlyURL, ctCollectionId);
create unique index IX_E73BB186 on LayoutFriendlyURL (groupId, privateLayout, friendlyURL, languageId, ctCollectionId);
create index IX_EF247709 on LayoutFriendlyURL (plid, ctCollectionId);
create index IX_CB1E7787 on LayoutFriendlyURL (plid, friendlyURL, ctCollectionId);
create unique index IX_2069E0D0 on LayoutFriendlyURL (plid, languageId, ctCollectionId);
create index IX_9DE5C8B2 on LayoutFriendlyURL (uuid_, companyId, ctCollectionId);
create index IX_C765BBB2 on LayoutFriendlyURL (uuid_, ctCollectionId);
create unique index IX_58E59034 on LayoutFriendlyURL (uuid_, groupId, ctCollectionId);

create index IX_557A639F on LayoutPrototype (companyId, active_);
create index IX_63ED2532 on LayoutPrototype (uuid_, companyId);

create index IX_43E8286A on LayoutRevision (head, plid);
create index IX_E10AC39 on LayoutRevision (layoutSetBranchId, head, plid);
create index IX_9EC9F954 on LayoutRevision (layoutSetBranchId, head, status);
create index IX_38C5DF14 on LayoutRevision (layoutSetBranchId, layoutBranchId, head, plid);
create index IX_13984800 on LayoutRevision (layoutSetBranchId, layoutBranchId, plid);
create index IX_4A84AF43 on LayoutRevision (layoutSetBranchId, parentLayoutRevisionId, plid);
create index IX_70DA9ECB on LayoutRevision (layoutSetBranchId, plid, status);
create index IX_7FFAE700 on LayoutRevision (layoutSetBranchId, status);
create index IX_8EC3D2BC on LayoutRevision (plid, status);
create index IX_421223B1 on LayoutRevision (status);

create index IX_20615181 on LayoutSet (companyId, layoutSetPrototypeUuid, ctCollectionId);
create index IX_5B990A4A on LayoutSet (groupId, ctCollectionId);
create unique index IX_3F2A9AEF on LayoutSet (groupId, privateLayout, ctCollectionId);
create index IX_55443115 on LayoutSet (layoutSetPrototypeUuid, ctCollectionId);
create index IX_A6EE9D37 on LayoutSet (privateLayout, logoId, ctCollectionId);

create index IX_CCF0DA29 on LayoutSetBranch (groupId, privateLayout, master);
create unique index IX_5FF18552 on LayoutSetBranch (groupId, privateLayout, name);

create index IX_9178FC71 on LayoutSetPrototype (companyId, active_);
create index IX_D9FFCA84 on LayoutSetPrototype (uuid_, companyId);

create unique index IX_77729718 on ListType (name, type_);
create index IX_2932DD37 on ListType (type_);

create index IX_C28C72EC on MembershipRequest (groupId, statusId);
create index IX_35AA8FA6 on MembershipRequest (groupId, userId, statusId);
create index IX_66D70879 on MembershipRequest (userId);

create index IX_4A527DD3 on OrgGroupRole (groupId);
create index IX_AB044D1C on OrgGroupRole (roleId);

create index IX_6AF0D434 on OrgLabor (organizationId);

create index IX_2C1E7914 on Organization_ (companyId, ctCollectionId);
create index IX_38F85A25 on Organization_ (companyId, externalReferenceCode, ctCollectionId);
create unique index IX_F1E40A53 on Organization_ (companyId, name, ctCollectionId);
create index IX_7A5E9780 on Organization_ (companyId, parentOrganizationId, ctCollectionId);
create index IX_DC36A7BF on Organization_ (companyId, parentOrganizationId, name, ctCollectionId);
create index IX_3F532604 on Organization_ (uuid_, companyId, ctCollectionId);
create index IX_206D7DA0 on Organization_ (uuid_, ctCollectionId);

create index IX_2C1142E on PasswordPolicy (companyId, defaultPolicy);
create unique index IX_3FBFA9F4 on PasswordPolicy (companyId, name);
create index IX_E4D7EF87 on PasswordPolicy (uuid_, companyId);

create unique index IX_C3A17327 on PasswordPolicyRel (classNameId, classPK);
create index IX_CD25266E on PasswordPolicyRel (passwordPolicyId);

create index IX_326F75BD on PasswordTracker (userId);

create index IX_812CE07A on Phone (companyId, classNameId, classPK, primary_);
create index IX_F202B9CE on Phone (userId);
create index IX_B271FA88 on Phone (uuid_, companyId);

create unique index IX_7171B2E8 on PluginSetting (companyId, pluginId, pluginType);

create unique index IX_A6DD0ECF on PortalPreferenceValue (portalPreferencesId, index_, key_, namespace);
create index IX_9FF9CC4E on PortalPreferenceValue (portalPreferencesId, key_, namespace, smallValue);
create index IX_4C7A38C4 on PortalPreferenceValue (portalPreferencesId, namespace);

create index IX_D1F795F1 on PortalPreferences (ownerId, ownerType);

create unique index IX_12B5E51D on Portlet (companyId, portletId);

create index IX_96BDD537 on PortletItem (groupId, classNameId);
create index IX_D699243F on PortletItem (groupId, name, portletId, classNameId);
create index IX_E922D6C0 on PortletItem (groupId, portletId, classNameId);

create index IX_4462FCD on PortletPreferenceValue (portletPreferencesId, ctCollectionId);
create unique index IX_AD38E28D on PortletPreferenceValue (portletPreferencesId, index_, name, ctCollectionId);
create index IX_B94C124C on PortletPreferenceValue (portletPreferencesId, name, ctCollectionId);
create index IX_2E0FE9EA on PortletPreferenceValue (portletPreferencesId, name, smallValue, ctCollectionId);

create index IX_F0B8A3A0 on PortletPreferences (companyId, ownerId, ownerType, portletId, ctCollectionId);
create index IX_31DA3CB8 on PortletPreferences (ownerId, ctCollectionId);
create index IX_451D78CC on PortletPreferences (ownerId, ownerType, plid, ctCollectionId);
create unique index IX_CB778855 on PortletPreferences (ownerId, ownerType, plid, portletId, ctCollectionId);
create index IX_258CCF40 on PortletPreferences (ownerId, ownerType, portletId, ctCollectionId);
create index IX_D48717FF on PortletPreferences (ownerType, plid, portletId, ctCollectionId);
create index IX_D6C3E66A on PortletPreferences (ownerType, portletId, ctCollectionId);
create index IX_C77A74AD on PortletPreferences (plid, ctCollectionId);
create index IX_67E205D4 on PortletPreferences (plid, portletId, ctCollectionId);
create index IX_8D0717FF on PortletPreferences (portletId, ctCollectionId);

create index IX_FD0395B5 on RatingsEntry (classNameId, classPK, ctCollectionId);
create index IX_66592BE9 on RatingsEntry (classNameId, classPK, score, ctCollectionId);
create unique index IX_B938D06F on RatingsEntry (userId, classNameId, classPK, ctCollectionId);
create index IX_CBD05854 on RatingsEntry (uuid_, companyId, ctCollectionId);
create index IX_A4389D50 on RatingsEntry (uuid_, ctCollectionId);

create unique index IX_C286E0E2 on RatingsStats (classNameId, classPK, ctCollectionId);
create index IX_5EC6007D on RatingsStats (classNameId, createDate);
create index IX_11A5584A on RatingsStats (classNameId, modifiedDate);

create index IX_B91F79BD on RecentLayoutBranch (groupId);
create index IX_351E86E8 on RecentLayoutBranch (layoutBranchId);
create unique index IX_C27D6369 on RecentLayoutBranch (userId, layoutSetBranchId, plid);

create index IX_8D8A2724 on RecentLayoutRevision (groupId);
create index IX_DA0788DA on RecentLayoutRevision (layoutRevisionId);
create unique index IX_4C600BD0 on RecentLayoutRevision (userId, layoutSetBranchId, plid);

create index IX_711995A5 on RecentLayoutSetBranch (groupId);
create index IX_23FF0700 on RecentLayoutSetBranch (layoutSetBranchId);
create unique index IX_4654D204 on RecentLayoutSetBranch (userId, layoutSetId);

create index IX_2D9A426F on Region (active_);
create index IX_11FB3E42 on Region (countryId, active_);
create unique index IX_A2635F5C on Region (countryId, regionCode);
create index IX_60C0214E on Region (uuid_, companyId);

create unique index IX_A149763D on RegionLocalization (regionId, languageId);

create unique index IX_8BD6BCA7 on Release_ (servletContextName);

create index IX_1A1F5458 on Repository (groupId, ctCollectionId);
create unique index IX_97B21AA on Repository (groupId, name, portletId, ctCollectionId);
create index IX_4D554D02 on Repository (uuid_, companyId, ctCollectionId);
create index IX_487DC962 on Repository (uuid_, ctCollectionId);
create unique index IX_4009E884 on Repository (uuid_, groupId, ctCollectionId);

create index IX_F458F385 on RepositoryEntry (repositoryId, ctCollectionId);
create unique index IX_BC798E7 on RepositoryEntry (repositoryId, mappedId, ctCollectionId);
create index IX_D6ED81C0 on RepositoryEntry (uuid_, companyId, ctCollectionId);
create index IX_DE371F64 on RepositoryEntry (uuid_, ctCollectionId);
create unique index IX_9F0434C2 on RepositoryEntry (uuid_, groupId, ctCollectionId);

create unique index IX_EDB9986E on ResourceAction (name, actionId);

create index IX_9A838EC7 on ResourcePermission (companyId, name, scope, primKey, ctCollectionId);
create unique index IX_A9FF4B2C on ResourcePermission (companyId, name, scope, primKey, roleId, ctCollectionId);
create index IX_B60B5751 on ResourcePermission (companyId, name, scope, primKeyId, roleId, viewActionId, ctCollectionId);
create index IX_829B8423 on ResourcePermission (companyId, name, scope, roleId, ctCollectionId);
create index IX_490017A2 on ResourcePermission (companyId, primKey, ctCollectionId);
create index IX_2FABAAC8 on ResourcePermission (companyId, scope, primKey, ctCollectionId);
create index IX_FABE6981 on ResourcePermission (ctCollectionId);
create index IX_6AD73500 on ResourcePermission (name, ctCollectionId);
create index IX_3078CBE6 on ResourcePermission (roleId, ctCollectionId);
create index IX_F3870DDF on ResourcePermission (scope, ctCollectionId);

create unique index IX_C0F6BCAC on Role_ (companyId, classNameId, classPK, ctCollectionId);
create index IX_4EA65517 on Role_ (companyId, ctCollectionId);
create unique index IX_4CC99816 on Role_ (companyId, name, ctCollectionId);
create index IX_7037255A on Role_ (companyId, type_, ctCollectionId);
create index IX_B482E6EC on Role_ (name, ctCollectionId);
create index IX_18A86359 on Role_ (subtype, ctCollectionId);
create index IX_FFA7B144 on Role_ (type_, ctCollectionId);
create index IX_D8DA3062 on Role_ (type_, subtype, ctCollectionId);
create index IX_411F50A1 on Role_ (uuid_, companyId, ctCollectionId);
create index IX_EFF1D323 on Role_ (uuid_, ctCollectionId);

create unique index IX_4F0315B8 on ServiceComponent (buildNamespace, buildNumber);

create index IX_9E7AC81A on SocialActivity (activitySetId, ctCollectionId);
create index IX_AD0B0FB5 on SocialActivity (classNameId, classPK, ctCollectionId);
create index IX_90E6DCFC on SocialActivity (classNameId, classPK, type_, ctCollectionId);
create index IX_5AD306C4 on SocialActivity (companyId, ctCollectionId);
create index IX_A9CF2AC6 on SocialActivity (groupId, ctCollectionId);
create index IX_9C9CB625 on SocialActivity (groupId, userId, classNameId, classPK, type_, receiverUserId, ctCollectionId);
create unique index IX_24810327 on SocialActivity (groupId, userId, createDate, classNameId, classPK, type_, receiverUserId, ctCollectionId);
create index IX_A57E31D2 on SocialActivity (mirrorActivityId, classNameId, classPK, ctCollectionId);
create index IX_28C22ABD on SocialActivity (mirrorActivityId, ctCollectionId);
create index IX_E948429 on SocialActivity (receiverUserId, ctCollectionId);
create index IX_96BE971A on SocialActivity (userId, ctCollectionId);

create index IX_5DE7864F on SocialActivityAchievement (groupId, ctCollectionId);
create index IX_ADBE078D on SocialActivityAchievement (groupId, firstInGroup, ctCollectionId);
create index IX_CAFEFF4E on SocialActivityAchievement (groupId, name, ctCollectionId);
create index IX_38BEA989 on SocialActivityAchievement (groupId, userId, ctCollectionId);
create index IX_9F91FD47 on SocialActivityAchievement (groupId, userId, firstInGroup, ctCollectionId);
create unique index IX_5ED94F08 on SocialActivityAchievement (groupId, userId, name, ctCollectionId);

create index IX_BDC6A299 on SocialActivityCounter (classNameId, classPK, ctCollectionId);
create unique index IX_8F6B63C5 on SocialActivityCounter (groupId, classNameId, classPK, name, ownerType, endPeriod, ctCollectionId);
create unique index IX_D520F00C on SocialActivityCounter (groupId, classNameId, classPK, name, ownerType, startPeriod, ctCollectionId);
create index IX_B7252B62 on SocialActivityCounter (groupId, classNameId, classPK, ownerType, ctCollectionId);
create index IX_7ACAB562 on SocialActivityCounter (groupId, ctCollectionId);

create index IX_D800658 on SocialActivityLimit (classNameId, classPK, ctCollectionId);
create index IX_197F2743 on SocialActivityLimit (groupId, ctCollectionId);
create unique index IX_4A636E75 on SocialActivityLimit (groupId, userId, classNameId, classPK, activityType, activityCounterName, ctCollectionId);
create index IX_710E96FD on SocialActivityLimit (userId, ctCollectionId);

create index IX_49DD2872 on SocialActivitySet (classNameId, classPK, type_, ctCollectionId);
create index IX_34A94D3C on SocialActivitySet (groupId, ctCollectionId);
create index IX_EF8C463D on SocialActivitySet (groupId, userId, classNameId, type_, ctCollectionId);
create index IX_F4E22E1B on SocialActivitySet (groupId, userId, type_, ctCollectionId);
create index IX_EF377278 on SocialActivitySet (userId, classNameId, classPK, type_, ctCollectionId);
create index IX_A37B4DE4 on SocialActivitySet (userId, ctCollectionId);

create index IX_35A9252B on SocialActivitySetting (groupId, activityType, ctCollectionId);
create index IX_D0E7F399 on SocialActivitySetting (groupId, classNameId, activityType, ctCollectionId);
create index IX_4FC6CD18 on SocialActivitySetting (groupId, classNameId, activityType, name, ctCollectionId);
create index IX_11AAEF7C on SocialActivitySetting (groupId, classNameId, ctCollectionId);
create index IX_6B06688E on SocialActivitySetting (groupId, ctCollectionId);

create index IX_60BA2F7 on SocialRelation (companyId, ctCollectionId);
create index IX_2CB87B7A on SocialRelation (companyId, type_, ctCollectionId);
create index IX_A29EEF24 on SocialRelation (type_, ctCollectionId);
create index IX_BDCE8C2A on SocialRelation (userId1, ctCollectionId);
create index IX_3A6962E7 on SocialRelation (userId1, type_, ctCollectionId);
create index IX_5A757CEE on SocialRelation (userId1, userId2, ctCollectionId);
create unique index IX_D97ACDA3 on SocialRelation (userId1, userId2, type_, ctCollectionId);
create index IX_8B78EDEB on SocialRelation (userId2, ctCollectionId);
create index IX_3C42B606 on SocialRelation (userId2, type_, ctCollectionId);
create index IX_FDA0A6C1 on SocialRelation (uuid_, companyId, ctCollectionId);
create index IX_92E91103 on SocialRelation (uuid_, ctCollectionId);

create index IX_A776F23B on SocialRequest (classNameId, classPK, ctCollectionId);
create index IX_EB193CE5 on SocialRequest (classNameId, classPK, type_, receiverUserId, status, ctCollectionId);
create index IX_9E3B7BFE on SocialRequest (companyId, ctCollectionId);
create index IX_B626432F on SocialRequest (receiverUserId, ctCollectionId);
create index IX_9E789515 on SocialRequest (receiverUserId, status, ctCollectionId);
create unique index IX_EF4BB505 on SocialRequest (userId, classNameId, classPK, type_, receiverUserId, ctCollectionId);
create index IX_D54872A2 on SocialRequest (userId, classNameId, classPK, type_, status, ctCollectionId);
create index IX_8CAABC20 on SocialRequest (userId, ctCollectionId);
create index IX_59718D06 on SocialRequest (userId, status, ctCollectionId);
create index IX_58C2E7DA on SocialRequest (uuid_, companyId, ctCollectionId);
create index IX_684858A on SocialRequest (uuid_, ctCollectionId);
create unique index IX_350595C on SocialRequest (uuid_, groupId, ctCollectionId);

create index IX_46E892C on SystemEvent (groupId, classNameId, classPK, ctCollectionId);
create index IX_6C051FA5 on SystemEvent (groupId, classNameId, classPK, type_, ctCollectionId);
create index IX_E9FA8197 on SystemEvent (groupId, ctCollectionId);
create index IX_C009825D on SystemEvent (groupId, systemEventSetKey, ctCollectionId);

create index IX_713531A3 on Team (companyId, ctCollectionId);
create index IX_622C8165 on Team (groupId, ctCollectionId);
create unique index IX_D424D1E4 on Team (groupId, name, ctCollectionId);
create index IX_14857E95 on Team (uuid_, companyId, ctCollectionId);
create index IX_FC1CD5AF on Team (uuid_, ctCollectionId);
create unique index IX_1AAF62D7 on Team (uuid_, groupId, ctCollectionId);

create index IX_1E8DFB2E on Ticket (classNameId, classPK, type_);
create index IX_8BACD0AA on Ticket (companyId, classNameId, classPK, type_);
create index IX_B2468446 on Ticket (key_);

create index IX_E8AD6A2C on UserGroup (companyId, ctCollectionId);
create index IX_544FAE0D on UserGroup (companyId, externalReferenceCode, ctCollectionId);
create unique index IX_3F4FC96B on UserGroup (companyId, name, ctCollectionId);
create index IX_FFCDFCE5 on UserGroup (companyId, parentUserGroupId, ctCollectionId);
create index IX_9F5F49EC on UserGroup (uuid_, companyId, ctCollectionId);
create index IX_C990BAB8 on UserGroup (uuid_, ctCollectionId);

create index IX_CF59F0C1 on UserGroupGroupRole (groupId, ctCollectionId);
create index IX_61B91326 on UserGroupGroupRole (groupId, roleId, ctCollectionId);
create index IX_92E36EA on UserGroupGroupRole (roleId, ctCollectionId);
create index IX_663FBB6 on UserGroupGroupRole (userGroupId, ctCollectionId);
create index IX_451514B0 on UserGroupGroupRole (userGroupId, groupId, ctCollectionId);
create unique index IX_B384D815 on UserGroupGroupRole (userGroupId, groupId, roleId, ctCollectionId);

create index IX_813D2FD8 on UserGroupRole (groupId, ctCollectionId);
create index IX_AA134B3D on UserGroupRole (groupId, roleId, ctCollectionId);
create index IX_EEB38F3 on UserGroupRole (roleId, ctCollectionId);
create index IX_21D2A7C8 on UserGroupRole (userId, ctCollectionId);
create index IX_AA91DCDE on UserGroupRole (userId, groupId, ctCollectionId);
create unique index IX_F8059243 on UserGroupRole (userId, groupId, roleId, ctCollectionId);

create index IX_2AC5356C on UserGroups_Teams (companyId);
create index IX_7F187E63 on UserGroups_Teams (userGroupId);

create unique index IX_41A32E0D on UserIdMapper (type_, externalUserId);
create unique index IX_D1C44A6E on UserIdMapper (userId, type_);

create unique index IX_8B6E3ACE on UserNotificationDelivery (userId, portletId, classNameId, notificationType, deliveryType);

create index IX_BF29100B on UserNotificationEvent (type_);
create index IX_5CE95F03 on UserNotificationEvent (userId, actionRequired, archived);
create index IX_3DBB361A on UserNotificationEvent (userId, archived);
create index IX_9D34232F on UserNotificationEvent (userId, delivered, actionRequired, archived);
create index IX_BD8BD246 on UserNotificationEvent (userId, delivered, archived);
create index IX_C4EFBD45 on UserNotificationEvent (userId, deliveryType, actionRequired, archived);
create index IX_A87A585C on UserNotificationEvent (userId, deliveryType, archived);
create index IX_4BF3A7AD on UserNotificationEvent (userId, deliveryType, delivered, actionRequired, archived);
create index IX_93012C4 on UserNotificationEvent (userId, deliveryType, delivered, archived);
create index IX_7AFE83D7 on UserNotificationEvent (userId, type_, deliveryType, delivered, archived);
create index IX_A6BAFDFE on UserNotificationEvent (uuid_, companyId);

create index IX_29BA1CF5 on UserTracker (companyId);
create index IX_46B0AE8E on UserTracker (sessionId);
create index IX_E4EFBA8D on UserTracker (userId);

create index IX_14D8BCC0 on UserTrackerPath (userTrackerId);

create index IX_51338B6A on User_ (companyId, createDate, ctCollectionId);
create index IX_A09EEAB5 on User_ (companyId, createDate, modifiedDate, ctCollectionId);
create index IX_53E4FDAC on User_ (companyId, ctCollectionId);
create index IX_DBE0B8AC on User_ (companyId, defaultUser, ctCollectionId);
create index IX_16583D92 on User_ (companyId, defaultUser, status, ctCollectionId);
create unique index IX_6C9F41D8 on User_ (companyId, emailAddress, ctCollectionId);
create index IX_210A2A8D on User_ (companyId, externalReferenceCode, ctCollectionId);
create index IX_F0BD8F61 on User_ (companyId, facebookId, ctCollectionId);
create index IX_66712F3F on User_ (companyId, googleUserId, ctCollectionId);
create index IX_79724177 on User_ (companyId, modifiedDate, ctCollectionId);
create index IX_952F78E5 on User_ (companyId, openId, ctCollectionId);
create unique index IX_EEC1E477 on User_ (companyId, screenName, ctCollectionId);
create index IX_BC478292 on User_ (companyId, status, ctCollectionId);
create unique index IX_C15FB5CF on User_ (contactId, ctCollectionId);
create index IX_E1D5EE24 on User_ (emailAddress, ctCollectionId);
create index IX_64D54302 on User_ (portraitId, ctCollectionId);
create index IX_B5A2C66C on User_ (uuid_, companyId, ctCollectionId);
create index IX_EA9E0E38 on User_ (uuid_, ctCollectionId);

create index IX_3499B657 on Users_Groups (companyId);
create index IX_F10B6C6B on Users_Groups (userId);

create index IX_5FBB883C on Users_Orgs (companyId);
create index IX_FB646CA6 on Users_Orgs (userId);

create index IX_F987A0DC on Users_Roles (companyId);
create index IX_C1A01806 on Users_Roles (userId);

create index IX_799F8283 on Users_Teams (companyId);
create index IX_A098EFBF on Users_Teams (userId);

create index IX_BB65040C on Users_UserGroups (companyId);
create index IX_66FF2503 on Users_UserGroups (userGroupId);

create index IX_741D01F2 on VirtualHost (companyId, layoutSetId, ctCollectionId);
create index IX_6A3E4238 on VirtualHost (companyId, layoutSetId, defaultVirtualHost, ctCollectionId);
create unique index IX_76A64FBE on VirtualHost (hostname, ctCollectionId);

create unique index IX_97DFA146 on WebDAVProps (classNameId, classPK);

create index IX_1AA07A6D on Website (companyId, classNameId, classPK, primary_);
create index IX_F75690BB on Website (userId);
create index IX_712BCD35 on Website (uuid_, companyId);

create index IX_6483FCD4 on WorkflowDefinitionLink (companyId, ctCollectionId);
create index IX_701BF76D on WorkflowDefinitionLink (companyId, workflowDefinitionName, workflowDefinitionVersion, ctCollectionId);
create index IX_B6C5C563 on WorkflowDefinitionLink (groupId, companyId, classNameId, classPK, ctCollectionId);
create index IX_65327B4C on WorkflowDefinitionLink (groupId, companyId, classNameId, classPK, typePK, ctCollectionId);
create index IX_5E9866FC on WorkflowDefinitionLink (groupId, companyId, classNameId, ctCollectionId);
create index IX_52C09F91 on WorkflowDefinitionLink (groupId, companyId, classPK, ctCollectionId);

create index IX_688A5865 on WorkflowInstanceLink (groupId, companyId, classNameId, classPK, ctCollectionId);
create index IX_6E4C09BA on WorkflowInstanceLink (groupId, companyId, classNameId, ctCollectionId);



quit